Skip to Content
SeyloDocs

Get a Box

GET
/api/v1/boxes.get

Returns a Box's node, state (running, starting, sleeping, stopped) and idle settings.

Needs services.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string

DNS-safe; the service's host name on the project network. Unique in its project.

Match^[a-z0-9]([a-z0-9-]*[a-z0-9])?$
Length1 <= length <= 40
nodeId*string

Panel-issued id.

Match^[a-z0-9]{16}$
nodeName*string
state*string|string|string|string
repository*string|null
idleMinutes*integer
Range0 <= value <= 1440
lastUsedAt*|null
createdAt*string
Formatdate-time
Example Request
curl -X GET 'https://example.com/api/v1/boxes.get?serviceId=string'
Example Response
{  "serviceId": "string",  "projectId": "string",  "name": "string",  "nodeId": "string",  "nodeName": "string",  "state": "running",  "repository": "string",  "idleMinutes": 0,  "lastUsedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}